http_put_file
http_request_body_encode
HTTP Functions
PHP Manual

# http_put_stream

Perform PUT request with stream

### Description

string http_put_stream ( string `$url` , resource `$stream` [, array `$options` [, array `&$info` ]] )

Performs an HTTP PUT request on the supplied url.

See the full list of request options.

### Parameters

`url`

  URL

`stream`

  The stream to read the PUT request body from

`options`

  request options

`info`

  Request/response information

### Return Values

Returns the HTTP response(s) as string on success, or `FALSE` on failure.